let iter_files f ?(without_theme = false) output_directory =
  let file name target =
    let name =
      Fs.File.create ~directory:output_directory ~name
      |> Fs.File.to_string
    in
    f name target
  in

  if not without_theme then begin
    file "odoc.css" "/usr/share/odoc/odoc-theme/default/odoc.css"
  end;
  file "highlight.pack.js" "/usr/share/javascript/highlight.js/highlight.min.js"

let write =
  iter_files (fun name target -> Unix.symlink target name)

let print_filenames =
  iter_files (fun name _target -> print_endline name)
